Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed Affected version: 1.3.0

Description

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.7.2

Rack version              1.1

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Edge Rails revision       unknown

Application root          /usr/share/redmine

Environment               production

Database adapter          sqlite3

Database schema version   20110902000000

When creating users from emails with internationalized From-headers, fullname is not unquoted.

The following email, passed to rdm-mailhandler.rb (with appropriate --url, --key, --project, --tracker, --no-permission-check options

and --unknown-user=create)

From: =?utf-8?b?w4TDpCDDlsO2?= <foo@example.org>

Subject: foo

Content-Type: text/plain; charset=utf-8

testing user creation with quoted From-header

 creates a user whose fullname is set to '=?utf-8?b?w4TDpCDDlsO2?= -', when it should in fact be set to "Ää Öö".

The attached patch based on the 1.3-stable branch (svn r8910) fixes this issue.

(It's possible this is actually a bug in TMail (which is what Rails 2 uses), but that doesn't seem to be maintained anymore; the last

release and latest mail sent to its mailing list were in 2010.)

Associated revisions

Revision 9043 - 2012-03-01 16:32 - Jean-Philippe Lang

MailHandler: fixed that sender's fullname is not unquoted (#10334).

History

#1 - 2012-03-01 16:33 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.0

- Resolution set to Fixed

Fixed and test added in r9043. Thanks.

#2 - 2012-03-01 16:33 - Jean-Philippe Lang

- Status changed from New to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/8910
https://www.redmine.org/projects/redmine/repository/svn/revisions/9043
redmine-mail-from-unquote.patch 871 Bytes 2012-02-28 Lauri Tirkkonen
